/********* App2App.m Cordova Plugin Implementation *******/

#import <Cordova/CDV.h>

@interface App2App : CDVPlugin {
  // Member variables go here.
}

- (void)coolMethod:(CDVInvokedUrlCommand*)command;
@end

@implementation App2App

- (void)coolMethod:(CDVInvokedUrlCommand*)command
{
    CDVPluginResult* pluginResult = nil;
    NSString* echo = [command.arguments objectAtIndex:0];

    if (echo != nil && [echo length] > 0) {
        pluginResult = [CDVPluginResult resultWithStatus:CDVCommandStatus_OK messageAsString:echo];
    } else {
        pluginResult = [CDVPluginResult resultWithStatus:CDVCommandStatus_ERROR];
    }



    [self.commandDelegate sendPluginResult:pluginResult callbackId:command.callbackId];
}

- (void)goKakao:(id)sender
{
    NSString *kakaotalk = [NSString stringWithFormat:@"%@",@"ufotown://"];

    BOOL isInstalledKakaoTalk = [[UIApplication sharedApplication] canOpenURL:[NSURL URLWithString:kakaotalk]];

  NSLog(@"Bool value: %d",  isInstalledKakaoTalk);


    if(isInstalledKakaoTalk){
        NSLog(@"goKakao");

        //앱이 있을시
    }
    else{
    //앱이 없을시
        NSLog(@"goStore");
//        [[[UIAlertView alloc] initWithTitle:@"UFO TOWN 설치안내"
//                                    message:@"UFO TOWN 앱이 설치되어 있지 않습니다. 스토어에서 다운받으세요."
//                                   delegate:nil
//                          cancelButtonTitle:@"Ok"
//                          otherButtonTitles: nil] show];
//
        NSString *appUrl= @"https://itunes.apple.com/us/app/ufo-town-yuepeuotaun/id1044918956?l=ko&ls=1&mt=8";
        [[UIApplication sharedApplication] openURL:[NSURL URLWithString:appUrl]];

    }
}

@end
